\name{getSnps}

\alias{getSnps}
\alias{getSubjects}
\alias{getKEGGSnps}

\title{getSnps}

\description{
  Get the list of intermediate annotation data packages (.db0 data packages)
  that are currently available on the Bioconductor repositories for your
  version of R/Bioconductor.

  Or get a list of schemas supported by AnnotationDbi.
}

\usage{
  getSnps(dbPath)
  getSubjects(dbPath)
  getKEGGSnps(dbPath)
}

\arguments{
  \item{dbPath}{the path to the DB that contains snp and subjects tables}
}

\details{
  These are data retrieval functions for the SQLite db file containing
  the GWAS metadata.
  \code{getSnps} will return SNP oriented information,
  \code{getSubjects} will return information about the research
  subjects and \code{getKEGGSnps} will return information about the
  KEGG pathway IDs match up with SNPs for those SNPS where we have a
  gene ID associated. 
}

\value{
  A data.frame object containing the requested information from the database.
}

\author{Student Name}

\examples{
  dbPath <- system.file("extdata","small_metadata.sqlite",package="StudentGWAS")
  snps <- getSnps(dbPath)
  head(snps)
  subjects <- getSubjects(dbPath)
  head(subjects)
  snpsWithKEGG <- getKEGGSnps(dbPath)
  head(snpsWithKEGG)
}

\keyword{manip}
